Subject: Re: bug#74532: [PATCH] gnu: guile-yamlpp: Allow usage with `with-extensions'

From: Timo Wilken <[email-masked]>
Date: Tue, 25 Mar 2025 19:12:49 +0100

Hi Tomas, hi Ludo', hi Z572,

On Tue 25 Mar 2025 at 11:10 am CET, Ludovic Courtès wrote:
> Tomas Volf <[email-masked]> skribis:
>> Timo Wilken <[email-masked]> writes:
>> I am not sure it is optimal to hide *all* errors from load-extension.
>> Maybe check if file exists and then try to load-extension it without the
>> false-if-exception?

I think the v2 patch makes this moot -- see below.

> Or just unconditionally load from the absolute file name?  I don’t see
> what the ‘or’ buys us.

That only works if I move 'check after 'install -- else it fails with an error
in `load-foreign-library', saying the file doesn't exist.

The v2 patch does that, and works for me (as in, it compiles and I can use the
resulting package in `with-extensions').

Feedback is very welcome!

Cheers,
Timo